<?php
/**
 * The Functions Template for our theme
 *
 * @package Welcart
 * @subpackage Mode Child
 * @since 1.0.0
 */

add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles', 10 );
function theme_enqueue_styles() {

	$template_dir = get_template_directory_uri();

	wp_enqueue_style( 'parent-style', $template_dir . '/style.css', array( 'reset-style' ) );
	wp_enqueue_style( 'theme_cart_css', $template_dir . '/usces_cart.css',  array( 'reset-style' ) );

	// WCEX Plugin
	if ( defined( 'WCEX_MSA_VERSION' ) ) {
		wp_enqueue_style( 'parent-msa', $template_dir . '/wcex_multi_shipping.css', array( 'msa_style' ), WCEX_MSA_VERSION, false  );	
	}
	if ( defined( 'WCEX_SKU_SELECT' ) ) {
		wp_enqueue_style( 'parent-sku_select', $template_dir . '/wcex_sku_select.css', array(), '1.0');
	}
	if ( defined( 'WCEX_AUTO_DELIVERY' ) ) {
		wp_enqueue_style( 'parent-auto_delivery', $template_dir . '/auto_delivery.css', array(), '1.0');
	}
	if ( defined( 'WCEX_DLSELLER' ) ) {
		wp_enqueue_style( 'parent-auto_delivery', $template_dir . '/dlseller.css', array(), '1.0');
	}
	if( defined( 'WCEX_ORDER_LIST_WIDGET' ) ) {
		wp_enqueue_style( 'parent-olwidget', $template_dir . '/wcex_olwidget.css', array(), '1.0');	
	}

}
